
``` {=latex}
\newpage
```

# Suivi de prise de décisions (workflows) { #sec:workflow }

Chill propose une fonctionnalité de suivi de rédaction, et prise de décision à partir des documents.

## Principe

Le suivi des décisions peut permettre de suivre l'évolution des:

* actions d'accompagnement;
* documents dans les parcours;
* documents dans les évaluations des actions d'accompagnement des parcours.

Le suivi est décomposé en plusieurs étapes; entre les étapes, les utilisateurs peuvent appliquer des **décisions**. 

La définition des étapes et des décisions possibles pour chacune d'elle est configurée pour chaque installation.

### Décisions et étapes

Lors de chaque décision, l'utilisateur indique:

* s'il valide ou refuse l'étape actuelle,
* quelle sera la prochaine étape,
* et qui pourra prendre la prochaine décision.

Seuls les utilisateurs qui seront désignés à l'étape précédente pourront appliquer la prochaine décision.

Il est possible d'indiquer une adresse email à la place d'un utilisateur. Dans ce cas, l'adresse indiquée recevra un email contenant un lien unique. Lorsqu'ils l'ouvriront, les utilisateurs devront s'authentifier avec leur compte Chill. Une fois authentifié, l'utilisateur qui aura cliqué sur ce lien se verra autorisé à prendre une décision pour la prochaine étape.

### Clotûrer un workflow

Lors d'une décision, l'utilisateur peut décider de cloturer un workflow:

* soit en indiquant une étape finale (clotûre positive);
* soit en indiquant une étape d'annulation.

### Recevoir des notifications pour un workflow

Les utilisateurs peuvent souscrire à des notifications, soit:

* à chaque fois qu'une étape est décidée,
* ou uniquement à l'étape finale.

Par défaut, à chaque fois qu'un utilisateur initie un workflow ou prend une décision, il est abonné aux notifications pour toutes les prochaines décisions.

## Créer un workflow

Le workflow est créé à partir de l'entité sur laquelle porte le workflow, en utilisant le bouton suivant:

![Bouton de création de workflow](./img/workflow_create.png)

Lorsqu'un workflow est déjà existant, le bouton prend cette forme. Il est alors possible d'ajouter un workflow depuis la fenêtre qui présente la liste des workflows:

![Bouton de création de workflow avec un workflow existant](./img/workflow_create_with_existing.png)

La liste des workflow associés à une entité est présente de cette manière:

![Liste des workflows pour une entité](./img/workflow_list_associated.png)

## Appliquer une décision à un workflow

La page suivante présente le récapitulatif d'un workflow. Elle permet également d'ajouter une décision lorsque l'utilisateur y est autorisé:

![Page récaptulative d'un workflow](img/workflow_page.png)

La page présente, de haut en bas:

* un récapitulatif de l'entité sur laquelle porte le workflow, ainsi que des actions rapides pour l'utilisateur;
* des boutons personnels pour permettre à l'utilisateur de s'abonner ou se désabonner des notifications;
* le formulaire de décision, reprenant l'étape précédente et l'éventuel commentaire laissé par l'utilisateur qui a "envoyé" la décision;
* un historique des décisions précédentes.


::: { .note }

Les boutons pour modifier les notifications indiquent l'action possible. Lorsqu'il est indiqué `Ne plus recevoir de notification à l'étape finale`, cela signifie que l'utilisateur reçoit actuellement les notifications, et qu'il peut choisir de ne plus les recevoir.

:::

## Rappel des décisions en attente et listes de workflows

Chaque utilisateur peut voir les workflows pour lesquels il est invité à prendre une décision en utilisant le menu `Utilisateur > mes workflows`. Le nombre de workflow en attente est indiqué dans le menu.

La liste donne accès à plusieurs pages:

* les workflows suivis:

  il s'agit des workflows pour lesquels l'utilisateur a souscrit à des notifications sur les prochaines décisions.
* les workflows en attente d'action:

  la page reprend les workflows pour lesquels l'utilisateur peut prendre une décision.
* les workflows clotûrés après l'action d'un autre utilisateur:

  il s'agit des workflows pour lesquels l'utilisateur courant a été indiqué comme pouvant prendre une décision, mais dont la décision a été prise par un autre utilisateur.

* les anciens workflows:

  la page présente les workflows pour lesquels l'utilisateur a pris une décision auparavant.

